Subject: Configuring for readline

From: [email-masked]
Date: Thu, 3 Jun 1999 02:17:50 -0500 (CDT)

Full_Name: Johnny Johansson
Version: 2.2.2
CVS_Date: 
OS: Irix 6.3
X_Server: SGI
Submission from: (NULL) (212.116.91.9)

I con not get configure to use my installed version of readline 4.0.
Readline is
installed in a non standard location (same as where fvwm was headed).

First configure does one check which passes: (from log)
configure:4782: checking for readline in -lreadline
configure:4801: cc -o conftest -n32 -mips3 -O2
-I/Home/opticore/PublicDomain/6.3
/include  -n32 -mips3 -L/Home/opticore/PublicDomain/6.3/lib conftest.c
-lreadlin
e -lreadline -ltermcap  1>&5

The it checks for the include files, which fails:
configure:4846: checking for readline/readline.h
configure:4856: cc -E  -I/Home/opticore/PublicDomain/6.3/include conftest.c
>/de
v/null 2>conftest.out
cfe: Warning 581: /Home/opticore/PublicDomain/6.3/include/readline/rlstdc.h:39:

Macro inline redefined.
configure: failed program was:
#line 4851 "configure"
#include "confdefs.h"
#include <readline/readline.h>

Finally it does another check for the library which fails:
configure:4949: checking for readline in -lreadline
configure:4968: cc -o conftest -n32 -mips3 -O2
-I/Home/opticore/PublicDomain/6.3
/include  -n32 -mips3 -L/Home/opticore/PublicDomain/6.3/lib conftest.c
-lreadlin
e -lreadline -lncurses  1>&5
ld32: WARNING 84: /Home/opticore/PublicDomain/6.3/lib/libreadline.a is not
used 
for resolving any symbol.
ld32: FATAL 9: I/O error (-lncurses): No such file or directory
cc INTERNAL ERROR:  /usr/lib32/cmplrs/ld32 returned non-zero status 32
configure: failed program was:
#line 4957 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char readline();

int main() {
readline()
; return 0; }

Also I think the readline related options to configure are confusing:
--with-readline-library=PATH: What is PATH? The directory readline is in?
The path
to the actual file?...
--with-readline-includes=DIR: What is DIR? Obviously a directory but with
or without
"/readline" at the end?...

Other than that, thanks for a great window manager! :-)

// Johnny

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]